Package org.multiverse.api.predicates

## Class LongPredicate

- java.lang.Object
- - org.multiverse.api.predicates.LongPredicate

- All Implemented Interfaces:
    `Predicate<Long>`

      public abstract class LongPredicate
      extends Object
      implements Predicate<Long>

  A predicate that checks if some value leads to true or false.

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `LongPredicate()` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `abstract boolean` | `evaluate​(long current)` | Evaluates the predicate
    `boolean` | `evaluate​(Long arg)` | Evaluates the predicate.
    `static LongPredicate` | `newEqualsPredicate​(long value)` |
    `static LongPredicate` | `newLargerThanOrEqualsPredicate​(long value)` |
    `static LongPredicate` | `newLargerThanPredicate​(long value)` |
    `static LongPredicate` | `newNotEqualsPredicate​(long value)` |
    `static LongPredicate` | `newSmallerThanOrEqualsPredicate​(long value)` |
    `static LongPredicate` | `newSmallerThanPredicate​(long value)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### LongPredicate

          public LongPredicate()

  - ### Method Detail

    - #### newEqualsPredicate

          public static LongPredicate newEqualsPredicate​(long value)

    - #### newNotEqualsPredicate

          public static LongPredicate newNotEqualsPredicate​(long value)

    - #### newLargerThanPredicate

          public static LongPredicate newLargerThanPredicate​(long value)

    - #### newLargerThanOrEqualsPredicate

          public static LongPredicate newLargerThanOrEqualsPredicate​(long value)

    - #### newSmallerThanPredicate

          public static LongPredicate newSmallerThanPredicate​(long value)

    - #### newSmallerThanOrEqualsPredicate

          public static LongPredicate newSmallerThanOrEqualsPredicate​(long value)

    - #### evaluate

          public abstract boolean evaluate​(long current)

      Evaluates the predicate
      Parameters:
        `current` - the current value.
      Returns:
        true or false.

    - #### evaluate

          public final boolean evaluate​(Long arg)

      Description copied from interface: `Predicate`
      Evaluates the predicate.
      Specified by:
        `evaluate` in interface `Predicate<Long>`
      Parameters:
        `arg` - the value to evaluate.
      Returns:
        true or false.